using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Main :Fm.Bussiness.BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Fm.Bussiness.public_select ps = new Fm.Bussiness.public_select();
            DataView dv = ps.Getps("Fm_user_view", "u_nc,r_name", "u_id=" + int.Parse(Session["uid"].ToString()) + "");
            nicheng.Text = dv[0]["u_nc"].ToString();
            role.Text = dv[0]["r_name"].ToString();
            //共有会员
            UserCount.Text = ps.Getps("Fm_user", "count(u_id) as num", "")[0]["num"].ToString();
            //共有文章
            Document.Text = ps.Getps("Fm_model_main","count(docid) as num","")[0]["num"].ToString();
            //未审核文章数
            Audit.Text = ps.Getps("Fm_model_main", "count(docid) as num", "audit=0")[0]["num"].ToString();
            //共有评论
            Comment.Text = ps.Getps("Fm_comment", "count(comid) as num", "")[0]["num"].ToString();
        }
    }
}
